package com.xhkjedu.sapi.model.scantron;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description：答题卡
 * @Author: WN
 * @Date: 2024/10/25 9:34:09
 **/
@Table(name = "t_scantron")
@Data
public class TScantron extends BaseBean {

    // 答题卡ID
    @Id
    private Integer sid;
    // 答题卡名称
    private String sname;
    // 科目ID
    private String subjectid;
    // 是否公开1公开2不公开
    private Integer publiched;
    // pdf地址
    private String pdfpath;
    // 纸张类型1A3 2A4
    private Integer papertype;
    // 边距数组
    private String marginarray;
    // 题型间距
    private Double typedistance;
    // 布局1一栏 2二栏 3三栏
    private Integer slayout;
    //栏边距
    private Double columndistance;
    // 颜色
    private String scolor;
    // 考号类型1涂卡 2条形码 3手写1 4手写2
    private Integer enumtype;
    // 准考证号位数
    private Integer admissiondigit;
    // 考试信息(姓名,班级,学校,考号)
    private String stuinfo;
    // 其他信息(填涂示例,考试禁填,注意事项)
    private String otherinfo;
    // 批阅模式1网阅2手阅
    private Integer checkmode;
    // 结构JSON
    private String alljson;
    // 创建人ID
    private Integer createid;
    // 创建时间
    private Integer createtime;
    // 学校ID
    private Integer schoolid;
}
