package com.xhkjedu.smarking.model.exam;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description 阅卷科目监考分配表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_subject_invigilate")
public class MsSubjectInvigilate extends BaseBean {
    @Id
    //阅卷科目监考分配ID
    private Integer msiid;
    //考试科目id
    private Integer msid;
    //科目id
    private String subjectid;
    //班级id
    private Integer classid;
    //是否是主监考0不是1是
    private Integer majored;
    //教师id
    private Integer teacherid;
    //创建人id
    private Integer createid;
    //创建时间
    private Integer createtime;

    @Transient
    //状态0未进场1已进场2已交卷3缺考
    private Integer sstate;
    @Transient
    //班级ids
    private String classids;
}
