package com.xhkjedu.smarking.model.papercheck;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷批阅教师任务表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_paper_check_teacher_task")
public class MsPaperCheckTeacherTask extends BaseBean {
    @Id
    //阅卷批阅教师任务ID
    private Integer mpcttid;
    //试卷ID
    private Integer mpid;
    //题块/试题/班级ID
    private Integer mblockid;
    //考试试题表id
    private Integer mptqid;
    //教师ID
    private Integer teacherid;
    //序号
    private Integer taskorder;
    //学生题块/试题ID
    private Integer mpsbid;
    //批阅状态1未批改2批改中3已批改
    private Integer checkstate;
    //得分数组
    private String checkscore;
    //批阅情况1一评2二评
    private Integer checktype;
    //创建时间
    private Integer createtime;
    //优秀试卷0默认1优秀
    private Integer hasgood;
    //违纪试卷0默认1违纪
    private Integer hasbad;
    //疑难0默认1疑难
    private Integer hasproblem;
    //疑难类型1图形模糊2答题错位3没有图像4图像颠倒5其他问题
    private Integer problemtype;
    //疑难备注
    private String problemcomm;
}
