package com.xhkjedu.smarking.model.report.reportstu;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.*;

/**
 * @Description 阅卷报告-学生成绩分析表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_student")
public class MsrStudent extends BaseBean {
    @Id
    //阅卷报告-学生成绩分析
    private Integer rsid;
    //考试ID
    private Integer examid;
    //科目ID（含总分）
    private String subjectid;
    //学生ID
    private Integer studentid;
    //满分
    private Double fullscore;
    //得分
    private Double stuscore;
    //标准分
    private Double bzf;
    //超均率
    private Double cjl;
    //班级排名
    private Integer classrank;
    //学校排名
    private Integer schoolrank;
    //等级（ABCD）
    private String gradevalue;
    //超过年级百分比
    private Double highschool;
    //个人成绩排名率
    private Double rankrate;
    //学科强弱值
    private Double xkqrz;
    //客观题得分
    private Double objscore;
    //主观题得分
    private Double subscore;

    //班级id
    private Integer classid;
    @Transient
    //学生考试状态0未进场1已进场2已交卷3缺考
    private Integer sstate;
    @Transient
    //得分率
    private Double scorerate;
}
