package com.xhkjedu.smarking.model.report.reportsubject;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-科目区间试题得分率表
 * @Author auto
 * @Date 2024-12-12
 */
@Data
@Table(name = "msr_subject_question_section")
public class MsrSubjectQuestionSection extends BaseBean {
    @Id
    //阅卷报告-科目区间试题得分率表
    private Integer sqsid;
    //考试ID
    private Integer examid;
    //科目ID
    private String subjectid;
    //类型1小题2客观题3主观题
    private Integer qntype;
    //试题ID
    private Integer mptqid;
    //分数区间范围
    private String fdfw;
    //区间学生数量
    private Integer fdnum;
    //区间学生ids
    private String fdids;
    //平均分
    private Double avgscore;
    //平均得分率
    private Double avgrate;
}
