package com.xhkjedu.sapi.vo.component;

import com.xhkjedu.sapi.model.component.TUserComponent;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @Description：保存组件参数
 * @Author: WN
 * @Date: 2024/7/19 14:54:06
 **/
@Data
public class ComponentParams {

    private Integer userid;// 用户id

    private List<TUserComponent> components;// 组件集合

    private Integer limitSize = 3;// 获取条数

    private Integer schoolid;// 学校ID

    private Integer schoollevel;// 学段

    private Integer year;//当前年份

    private Integer usertype;// 用户类型0管理员1教师

    private long starttime;// 开始时间

    private long stoptime;// 结束时间

    private LocalDate todayDate;// 当天日期

    private LocalDateTime todayDatetime;// 当前时间

    private String classids;// 班级id集合

    private Integer timestamp;//当前时间戳

    private String selectDate;// 选择日期

    private Integer classid;// 班级ID

    private Integer belongcode;//1网页 2app 3网页+app

    private Integer examid;//考试id

    private String subjectid;//科目id

    private Integer showrank;//0保密1分数2分数+班排名3分数+班/校排名

}
