package com.xhkjedu.sclass.model.classroom;

import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_classroom_profile_student")
@Data
public class TClassroomProfileStudent {
    /**
     * 课堂资料学生查看表
     */
    @Id
    private Integer pfsid;

    /**
     * 课堂ID
     */
    private Long roomid;

    /**
     * 课堂资料表ID
     */
    private Long profileid;

    /**
     * 学生id
     */
    private Integer studentid;

    /**
     * 学生查看时长（秒）
     */
    private Integer stusec;

    /**
     * 创建时间
     */
    private Integer createtime;

    @Transient
    private String username;

}