package com.xhkjedu.smarking.model.paper;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description 阅卷试卷附件表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_paper_file")
public class MsPaperFile extends BaseBean {
    @Id
    //阅卷试卷附件ID
    private Integer mpfid;
    //考试试卷表
    private Integer mpid;
    //文件地址
    private String filepath;
    //原文档保存地址
    private String sourcepath;
    //文件类型1题干2答案
    private Integer filetype;
    //文件顺序
    private Integer fileorder;
    //创建人ID
    private Integer createid;
    //创建时间
    private Integer createtime;

    @Transient
    private Integer converted;
}
