package com.xhkjedu.smarking.model.paper;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷试题知识点表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_paper_qtype_question_point")
public class MsPaperQtypeQuestionPoint extends BaseBean {
    @Id
    //阅卷试题知识点ID
    private Integer mqpointid;
    //试卷ID
    private Integer mpid;
    //试卷试题ID
    private Integer mptqid;
    //知识点ID
    private String pointid;
    //知识点名称
    private String pointname;
    //显示顺序
    private Integer mporder;
    //创建人ID
    private Integer createid;
    //创建时间
    private Integer createtime;
}
