package com.xhkjedu.smarking.model.report.reportclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-班级客主观题分析表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_class_qobjsub")
public class MsrClassQobjsub extends BaseBean {
    @Id
    //阅卷报告-班级客主观题分析
    private Integer coid;
    //考试ID
    private Integer examid;
    //科目ID
    private String subjectid;
    //班级ID
    private Integer classid;
    //类型1客观题2主观题
    private Integer qtype;
    //满分
    private Double fullscore;
    //最高分
    private Double maxscore;
    //最低分
    private Double minscore;
    //平均分
    private Double avgscore;
    //平均得分率
    private Double avgrate;
    //难度
    private Double nd;
    //区别度
    private Double qfd;
    //标准差
    private Double bzc;
    //差异系数
    private Double cyxs;
    //鉴别指数
    private Double jbzs;
    //满分人数
    private Integer mfnum;
    //满分人ids
    private String mfids;
    //满分人数占比
    private Double mfrate;
    //零分人数
    private Integer lfnum;
    //零分人ids
    private String lfids;
    //零分人数占比
    private Double lfrate;
}
