package com.xhkjedu.smarking.model.report.reportclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-班级试题小题分析-客观题答案分析表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_class_question_ndlevel")
public class MsrClassQuestionNdlevel extends BaseBean {
    @Id
    //阅卷报告-班级试题小题分析-客观题答案分析ID
    private Integer cqoid;
    //考试ID
    private Integer examid;
    //科目ID（含总分）
    private String subjectid;
    //班级ID（含全体）
    private Integer classid;
    //难度等级（1容易题组 2较容易题组 3中等题组 4较难题组 5最难题组）
    private Integer otype;
    //难度等级对应题号（包含多题题号）
    private String qn;
    //难度等级对应难度
    private Double nd;
    //班级平均得分率
    private Double classavgcrate;
    //年级平均得分率
    private Double schoolavgrate;
}
