package com.xhkjedu.smarking.model.scan;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 * @Description 阅卷扫描客试卷题块表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_scanbatch_paper_block")
public class MsScanbatchPaperBlock extends BaseBean {
    @Id
    //阅卷扫描客试卷题块ID
    private Integer mspbid;
    //批次ID
    private Integer batchid;
    //扫描试卷ID
    private Integer mspid;
    //题块ID
    private Integer mblockid;
    //图片
    private String picpath;
    //扩展图片
    private String extendpath;
    //识别结果
    private String identifycont;
    //题块试题类型1客观题 2主观题
    private Integer msptype;

    //扫描试卷客观题
    @Transient
    private List<MsScanbatchPaperBlockQuestion> spbquestions;

}
