package com.xhkjedu.sstudy.controller.resource;

import com.xhkjedu.sstudy.service.resource.FlvUpdateResService;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @Description：flv资源更改状态
 * @Author: WN
 * @Date: 2024/9/14 16:15:35
 **/
@RequestMapping("/flvu")
@RestController
public class FlvUpdateResController {
    @Resource
    private FlvUpdateResService flvUpdateResService;

    /*
     * @Description 处理flv资源
     * @Date 2024/9/14 16:36:22
     * @Author WN
     * @Param []
     * @Return com.xhkjedu.vo.ResultVo
     **/
    @GetMapping("/fv")
    public ResultVo handleFlvRes() {
        int count = flvUpdateResService.hadnleFlvResource();
        return new ResultVo(0, "处理成功",count);
    }

}
